﻿@model HealthUp_.Models.Pessoa

@{
    ViewBag.Title = "PacientePerfil";
    Layout = null;
}


@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}

<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@Model.Nome | HealthUp!</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Site de acompanhamento nutricional" />
    <meta name="keywords" content="nutrição, comida, dieta, nutricionista, paciente, médico, massa, corpo, gordura, biopedância" />
    <meta name="author" content="Tamires Antunes, Lucas Sanchez e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">

    <!-- Animate.css -->
    <link href="~/Content/animateNutri.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoonNutri.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapNutri.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popupNutri.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/styleNutri.css" rel="stylesheet" />
    <!-- Modernizr JS -->
    <script src="~/Scripts/Nutrimodernizr-2.6.2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <!-- FOR IE9 below -->
    <!--[if lt IE 9]>
    <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body>

    <div class="fh5co-loader"></div>

    <div id="page">
        <nav class="fh5co-nav" role="navigation" style="box-shadow: 0px 5px 7px -7px rgba(180, 88, 88, 0.2)">
            <div class="container">
                <div class="row">
                    <div class="col-xs-2 text-left">
                        <div id="fh5co-logo"><a href="~/Nutri/Index" style="color: black">HealthUp<span>!</span></a></div>
                    </div>
                    <div class="col-xs-10 text-right menu-1">
                        <ul>
                            <li><a href="~/Nutri/Index" style="color: black">Início</a></li>
                            <!--Se precisar de dropdown-->
                            <!--<li class="has-dropdown">
                                <a href="services.html">Services</a>
                                <ul class="dropdown">
                                    <li><a href="#">Web Design</a></li>
                                    <li><a href="#">eCommerce</a></li>
                                    <li><a href="#">Branding</a></li>
                                    <li><a href="#">API</a></li>
                                </ul>
                            </li>-->
                            <li><a href="~/Nutri/TelaPaciente" style="color: #6DE08A">Pacientes</a></li>
                            <li><a href="~/Nutri/TabelasReferencias" style="color: black">Tabelas de Referências</a></li>
                            <li><a href="~/Nutri/AlimentosTela" style="color: black">Alimentos</a></li>
                            <li><a href="~/Login/Sair" style="color: black">Sair</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
        <div id="fh5co-project">
            <div class="container" style="width: 1402px">






                <div class="col-md-6 animate-box" style="width: 72%">

                    <div class="row form-group">
                        <div class="col-md-6" style="width: 110%; margin-bottom: 0px; box-shadow: 11px 15px 10px -7px rgba(92, 92, 92, 0.2);">
                            @if (Model.Sexo.ToString().Equals("f"))
                            {
                                <img src="~/Imagens/userFeminino.jpg" alt="" style="width: 292px; float: left; padding-right: 13px;" />
                            }
                            else
                            {
                                <img src="~/Imagens/userMasculino.jpg" alt="" style="width: 292px; float: left; padding-right: 13px;" />
                            }

                            <h1 style="color: black">@Model.Nome</h1>
                            <h4 style="color: black">Data de Nascimento: @Model.DataNasc.ToShortDateString()</h4>
                            <h4 style="color: black">Telefone: @Model.Telefone</h4>
                            <h4 style="color: black">Email: @Model.Email</h4>

                            @if (Model.Consultas != null)
                            {
                                foreach (var item in Model.Consultas)
                                {
                                    var ultimo = Model.Consultas.Last();

                                    if (item == ultimo)
                                    {
                                        <h4 style="color: black"><strong>Última Consulta: @item.Data.ToShortDateString()</strong></h4>
                                    }
                                }
                            }
                            else
                            {
                                <h4 style="color: red"> <strong>Ainda não foi realizada nenhuma consulta </strong></h4>
                            }
                            <input name="email" value="@Model.Email" type="text" hidden="hidden" />
                            <br /><br />
                        </div>

                        <div style="clear: both;"></div>


                        @if (Model.Consultas != null)
                        {
                            <center><h1 style="color: black; padding-top: 42px;padding-left: 20px;"><strong>Dados da Última Consulta</strong></h1></center>
                            foreach (var item in Model.Consultas)
                            {
                                var ultimo = Model.Consultas.Last();

                                if (item == ultimo)
                                {
                                    <div class="col-md-6" style="width: 110%; margin-bottom: 0px; float: left; box-shadow: 11px 15px 10px -7px rgba(92, 92, 92, 0.2);">
                                        <div class="col-md-6" style="width: 44%; margin-bottom: 0px; float: left">
                                            <br /><br />
                                            <h4 style="color: black"><strong>Nutricionista da Consulta:</strong> @item.EmailNutri</h4>
                                            <h4 style="color: black"><strong>Data da Consulta:</strong> @item.Data.ToShortDateString()</h4>
                                            <h4 style="color: black"><strong>IMC:</strong> @item.Imc Kg/m2</h4>
                                            <h4 style="color: black"><strong>Peso:</strong> @item.Peso Kg</h4>
                                            <h4 style="color: black"><strong>Altura:</strong> @item.Altura m</h4>
                                            <h4 style="color: black"><strong>Peso Ideal:</strong> @item.PesoIdeal Kg</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Gordura Corporal:</strong> @item.PorcentGorduraCorpo %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Massa Magra:</strong> @item.MassaMagra %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Músculos Esqueléticos:</strong> @item.PorcentMuscEsque %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Gordura Visceral:</strong> @item.PorcentGorduraVisce %</h4>
                                            <h4 style="color: black"><strong>Metabolismo:</strong> @item.Metabolismo</h4>
                                            <h4 style="color: black"><strong>Abdominal:</strong> @item.Abdominal cm</h4>
                                            <h4 style="color: black"><strong>Bíceps:</strong> @item.Biceps cm</h4>
                                            <h4 style="color: black"><strong>Coxa Esquerda:</strong> @item.CoxaEsq cm</h4>
                                        </div>

                                        <div class="col-md-6" style="width: 44%; margin-bottom: 0px; float: right">
                                            <br /><br />
                                            <h4 style="color: black"><strong>Coxa Direita:</strong> @item.CoxaDir cm</h4>
                                            <h4 style="color: black"><strong>Panturrilha Esquerda:</strong> @item.PanturrilhaEsq cm</h4>
                                            <h4 style="color: black"><strong>Panturrilha Direita:</strong> @item.PanturrilhaDir cm</h4>
                                            <h4 style="color: black"><strong>Antebraço Esquerdo:</strong> @item.AntebracoEsq cm</h4>
                                            <h4 style="color: black"><strong>Antebraço Direito:</strong> @item.AntebracoDir cm</h4>
                                            <h4 style="color: black"><strong>Subescapular:</strong> @item.Subescapular cm</h4>
                                            <h4 style="color: black"><strong>Tórax:</strong> @item.Torax cm</h4>
                                            <h4 style="color: black"><strong>Triceps:</strong> @item.Triceps cm</h4>
                                            <h4 style="color: black"><strong>Ombro:</strong> @item.Ombro cm</h4>
                                            <h4 style="color: black"><strong>Peitoral:</strong> @item.Peitoral cm</h4>
                                            <h4 style="color: black"><strong>Cintura:</strong> @item.Cintura cm</h4>
                                            <h4 style="color: black"><strong>Quadril:</strong> @item.Quadril cm</h4>
                                            <h4 style="color: black"><strong>Pescoço:</strong> @item.Pescoco cm</h4>
                                            <h4 style="color: black"><strong>Punho:</strong> @item.Punho cm</h4>
                                        </div>
                                    </div>
                                }
                            }

                                  <!-------------------------------------------------------------------------GRÁFICO IMC, PESO, ALTURA, PESO IDEAL------------------------------------------------------------------>

                            <!------------------------------Criando a tabela no HTML------------------------------->
                            <br /><br />
                            <canvas id="line-chart" width="800" height="450" style="padding-top: 29px;"></canvas>
                            <!------------------------------Criando a tabela no HTML------------------------------->
                            <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                            @{  string guardaIMC = "";
                                string guardaDadosPeso = "";
                                string guardaDadosAltura = "";
                                string guardaDadosPesoIdeal = "";
                                string mostraConsulta = "";
                                int i = 0, consultas = 0;
                            }
                            <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                            <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                            @foreach (var item in Model.Consultas)
                            {
                                consultas++;

                                guardaIMC += item.Imc.ToString().Replace(",", ".") + ",";
                                guardaDadosPeso += item.Peso.ToString().Replace(",", ".") + ",";
                                guardaDadosAltura += item.Altura.ToString().Replace(",", ".") + ",";
                                guardaDadosPesoIdeal += item.PesoIdeal.ToString().Replace(",", ".") + ",";

                                mostraConsulta += "\"Consulta " + consultas + "\",";



                                i++;
                            }
                            <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                            <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>
                                {
                                    guardaIMC = guardaIMC.Remove(guardaIMC.Length - 1, 1);
                                    guardaDadosPeso = guardaDadosPeso.Remove(guardaDadosPeso.Length - 1, 1);
                                    guardaDadosAltura = guardaDadosAltura.Remove(guardaDadosAltura.Length - 1, 1);
                                    guardaDadosPesoIdeal = guardaDadosPesoIdeal.Remove(guardaDadosPesoIdeal.Length - 1, 1);
                                    mostraConsulta = mostraConsulta.Remove(mostraConsulta.Length - 1, 1);
                                    

                                }
                            <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>

                            <!------------------------------Criando Script da Tabela------------------------------>
                                <script>

                                    new Chart(document.getElementById("line-chart"), {
                                        type: 'line',
                                        data: {
                                            labels: [@Html.Raw(mostraConsulta)],
                                            //labels: ["Consulta 1", "Consulta 2", "Consulta 3", "Consulta 4", "Consulta 5", "Consulta 6"],
                                            datasets: [{
                                                data: [@guardaIMC],
                                                label: "IMC",
                                                borderColor: "#3e95cd",
                                                fill: false
                                            }, {
                                                data: [@guardaDadosPeso],
                                                label: "Peso",
                                                borderColor: "#8e5ea2",
                                                fill: false
                                            }, {
                                                data: [@guardaDadosAltura],
                                                label: "Altura",
                                                borderColor: "#3cba9f",
                                                fill: false
                                            }, {
                                                data: [@guardaDadosPesoIdeal],
                                                label: "Peso Ideal",
                                                borderColor: "#e8c3b9",
                                                fill: false
                                            }
                                            ]
                                        },
                                        options: {
                                            title: {
                                                display: true,
                                                text: 'Progresso do Paciente'
                                            }
                                        }
                                    });
                                </script>
                            <!------------------------------Criando Script da Tabela------------------------------>
                            <!-------------------------------------------------------------------------GRÁFICO IMC, PESO, ALTURA, PESO IDEAL------------------------------------------------------------------>




                            <!-------------------------------------------------------------------------GRÁFICO PORCENTS---------------------------------------------------------------------------------------->

                            <!------------------------------Criando a tabela no HTML------------------------------->
                                <br /><br />
                                <canvas id="porcents" width="800" height="450"></canvas>
                                <!------------------------------Criando a tabela no HTML------------------------------->
                                <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                                @{  string guardaVisce = "";
                                    string guardaMuscEsque = "";
                                    string guardaGordu = "";
                                    string guardaMassaMagra = "";
                                    string mostraConsulta1 = "";
                                }
                                <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                                <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                                @foreach (var item in Model.Consultas)
                                {
                                    consultas++;

                                    guardaVisce += item.PorcentGorduraVisce.ToString().Replace(",", ".") + ",";
                                    guardaMuscEsque += item.PorcentMuscEsque.ToString().Replace(",", ".") + ",";
                                    guardaGordu += item.PorcentGorduraCorpo.ToString().Replace(",", ".") + ",";
                                    guardaMassaMagra += item.MassaMagra.ToString().Replace(",", ".") + ",";

                                    mostraConsulta1 += "'Consulta " + consultas + "',";

                                    i++;
                                }
                                <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                                <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>
                                    {
                                        guardaVisce = guardaVisce.Remove(guardaVisce.Length - 1, 1);
                                        guardaMuscEsque = guardaMuscEsque.Remove(guardaMuscEsque.Length - 1, 1);
                                        guardaGordu = guardaGordu.Remove(guardaGordu.Length - 1, 1);
                                        guardaMassaMagra = guardaMassaMagra.Remove(guardaMassaMagra.Length - 1, 1);
                                        mostraConsulta1 = mostraConsulta.Remove(mostraConsulta.Length - 1, 1);
                                    }
                            <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>

                            <!------------------------------Criando Script da Tabela------------------------------>
                                    <script>
                                        new Chart(document.getElementById("porcents"), {
                                            type: 'line',
                                            data: {

                                                labels: [@Html.Raw(mostraConsulta) ],
                                                datasets: [{
                                                    data: [@guardaVisce],
                                                    label: "Gordura Visceral",
                                                    borderColor: "#3e95cd",
                                                    fill: false
                                                }, {
                                                    data: [@guardaMuscEsque],
                                                    label: "Musculos Esqueléticos",
                                                    borderColor: "#8e5ea2",
                                                    fill: false
                                                }, {
                                                    data: [@guardaGordu],
                                                    label: "Gordura Corporal",
                                                    borderColor: "#3cba9f",
                                                    fill: false
                                                }, {
                                                    data: [@guardaMassaMagra],
                                                    label: "Massa Magra",
                                                    borderColor: "#e8c3b9",
                                                    fill: false
                                                },
                                                ]
                                            },
                                            options: {
                                                title: {
                                                    display: true,
                                                    text: 'Porcentagens do Paciente'
                                                }
                                            }
                                        });
                                    </script>
                            <!------------------------------Criando Script da Tabela------------------------------>
                            <!-------------------------------------------------------------------------GRÁFICO GORDURAS---------------------------------------------------------------------------------------->





                            <!-------------------------------------------------------------------------GRÁFICO MEDIDAS---------------------------------------------------------------------------------------->
                            <!------------------------------Criando a tabela no HTML------------------------------->
                                            <br /><br />
                                            <canvas id="medidas" width="800" height="450"></canvas>
                                            <!------------------------------Criando a tabela no HTML------------------------------->
                                            <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                                            @{  string guardaAbdominal = "";
                                                string guardaBiceps = "";
                                                string guardaCoxaEsq = "";
                                                string guardaCoxaDir = "";
                                                string guardaPanturrilhaEsq = "";
                                                string guardaPanturrilhaDir = "";
                                                string guardaAntebracoEsq = "";
                                                string guardaAntebracoDir = "";
                                                string guardaSubescapular = "";
                                                string guardaTorax = "";
                                                string guardaTriceps = "";
                                                string guardaOmbro = "";
                                                string guardaPeitoral = "";
                                                string guardaCintura = "";
                                                string guardaQuadril = "";
                                                string guardaPescoco = "";
                                                string guardaPunho = "";
                                            }
                                            <!------------------------------Criando as variáveis a para guardar os dados da consulta------------------------------->
                                            <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                                            @foreach (var item in Model.Consultas)
                                            {
                                                consultas++;

                                                guardaAbdominal += item.Abdominal.ToString().Replace(",", ".") + ",";
                                                guardaBiceps += item.Biceps.ToString().Replace(",", ".") + ",";
                                                guardaCoxaEsq += item.CoxaEsq.ToString().Replace(",", ".") + ",";
                                                guardaCoxaDir += item.CoxaDir.ToString().Replace(",", ".") + ",";
                                                guardaPanturrilhaEsq += item.PanturrilhaEsq.ToString().Replace(",", ".") + ",";
                                                guardaPanturrilhaDir += item.PanturrilhaDir.ToString().Replace(",", ".") + ",";
                                                guardaAntebracoEsq += item.AntebracoEsq.ToString().Replace(",", ".") + ",";
                                                guardaAntebracoDir += item.AntebracoDir.ToString().Replace(",", ".") + ",";
                                                guardaSubescapular += item.Subescapular.ToString().Replace(",", ".") + ",";
                                                guardaTorax += item.Torax.ToString().Replace(",", ".") + ",";
                                                guardaTriceps += item.Triceps.ToString().Replace(",", ".") + ",";
                                                guardaOmbro += item.Ombro.ToString().Replace(",", ".") + ",";
                                                guardaPeitoral += item.Peitoral.ToString().Replace(",", ".") + ",";
                                                guardaCintura += item.Cintura.ToString().Replace(",", ".") + ",";
                                                guardaQuadril += item.Quadril.ToString().Replace(",", ".") + ",";
                                                guardaPescoco += item.Pescoco.ToString().Replace(",", ".") + ",";
                                                guardaPunho += item.Punho.ToString().Replace(",", ".") + ",";


                                                i++;
                                            }
                                            <!------------------------------Colocando os dados nas variáveis, separando-os com vírgula------------------------------->
                                            <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>
                                                {
                                                    guardaAbdominal = guardaAbdominal.Remove(guardaAbdominal.Length - 1, 1);
                                                    guardaBiceps = guardaBiceps.Remove(guardaBiceps.Length - 1, 1);
                                                    guardaCoxaEsq = guardaCoxaEsq.Remove(guardaCoxaEsq.Length - 1, 1);
                                                    guardaCoxaDir = guardaCoxaDir.Remove(guardaCoxaDir.Length - 1, 1);
                                                    guardaPanturrilhaEsq = guardaPanturrilhaEsq.Remove(guardaPanturrilhaEsq.Length - 1, 1);
                                                    guardaPanturrilhaDir = guardaPanturrilhaDir.Remove(guardaPanturrilhaDir.Length - 1, 1);
                                                    guardaAntebracoEsq = guardaAntebracoEsq.Remove(guardaAntebracoEsq.Length - 1, 1);
                                                    guardaAntebracoDir = guardaAntebracoDir.Remove(guardaAntebracoDir.Length - 1, 1);
                                                    guardaSubescapular = guardaSubescapular.Remove(guardaSubescapular.Length - 1, 1);
                                                    guardaTorax = guardaTorax.Remove(guardaTorax.Length - 1, 1);
                                                    guardaTriceps = guardaTriceps.Remove(guardaTriceps.Length - 1, 1);
                                                    guardaOmbro = guardaOmbro.Remove(guardaOmbro.Length - 1, 1);
                                                    guardaPeitoral = guardaPeitoral.Remove(guardaPeitoral.Length - 1, 1);
                                                    guardaCintura = guardaCintura.Remove(guardaCintura.Length - 1, 1);
                                                    guardaQuadril = guardaQuadril.Remove(guardaQuadril.Length - 1, 1);
                                                    guardaPescoco = guardaPescoco.Remove(guardaPescoco.Length - 1, 1);
                                                    guardaPunho = guardaPunho.Remove(guardaPunho.Length - 1, 1);
                                                }
                            <!------------------------------Removendo a última vígula para não criar dado a mais------------------------------>
                            <!------------------------------Criando Script da Tabela------------------------------>
                                                <script>
                                                    new Chart(document.getElementById("medidas"), {
                                                        type: 'line',
                                                        data: {

                                                            labels: [@Html.Raw(mostraConsulta) ],
                                                            datasets: [{
                                                                data: [@guardaAbdominal],
                                                                label: "Abdominal",
                                                                borderColor: "#3e95cd",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaBiceps],
                                                                label: "Bíceps",
                                                                borderColor: "#8e5ea2",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaCoxaEsq],
                                                                label: "Coxa Esquerda",
                                                                borderColor: "#3cba9f",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaCoxaDir],
                                                                label: "Coxa Direita",
                                                                borderColor: "#e8c3b9",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaPanturrilhaEsq],
                                                                label: "Panturrilha Esquerda",
                                                                borderColor: "#000080",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaPanturrilhaDir],
                                                                label: "Panturrilha Direita",
                                                                borderColor: "#6A5ACD",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaAntebracoEsq],
                                                                label: "Antebraço Esquerdo",
                                                                borderColor: "#DA70D6",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaAntebracoDir],
                                                                label: "Antebraço Direito",
                                                                borderColor: "#800000",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaSubescapular],
                                                                label: "Subescapular",
                                                                borderColor: "#FFFF00",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaTorax],
                                                                label: "Tórax",
                                                                borderColor: "#B0E0E6",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaTriceps],
                                                                label: "Tríceps",
                                                                borderColor: "#F2B480",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaOmbro],
                                                                label: "Ombro",
                                                                borderColor: "#DB294C",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaPeitoral],
                                                                label: "Peitoral",
                                                                borderColor: "#3A83B7",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaCintura],
                                                                label: "Cintura",
                                                                borderColor: "#8ED463",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaQuadril],
                                                                label: "Quadril",
                                                                borderColor: "#6256B5",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaPescoco],
                                                                label: "Pescoço",
                                                                borderColor: "#A2BA4E",
                                                                fill: false
                                                            }, {
                                                                data: [@guardaPunho],
                                                                label: "Punho",
                                                                borderColor: "#A0112D",
                                                                fill: false
                                                            },
                                                            ]
                                                        },
                                                        options: {
                                                            title: {
                                                                display: true,
                                                                text: 'Medidas do Paciente'
                                                            }
                                                        }
                                                    });
                                                </script>
                            <!------------------------------Criando Script da Tabela------------------------------>
                            <!-------------------------------------------------------------------------GRÁFICO MEDIDAS---------------------------------------------------------------------------------------->


                                                }



                    </div>
                </div>


                <div id="modalExcluir" class="modal" style="width: 101%; ">

                    <!-- Modal content -->
                    <div class="modal-content" style="height: 373px; width: 600px;">
                        <span class="close">&times;</span>
                        <br /><br />
                        <center><h1 style="color: black">Essa ação <strong style="color: red">excluirá</strong> o paciente <strong>@Model.Nome</strong>. Deseja continuar?</h1></center>
                        <br /><br />

                            <form style="padding-left: 157px; float:left">
                                <input value="@Model.Email" name="email" hidden />
                                <button class="btn btn-lg btn-primary" style="font-size:24px" formaction="~/Nutri/DeletarPaciente">Sim</button>
                            </form>
                            <button class="btn btn-lg btn-primary" id="btnNao" style="font-size:24px">Não</button>

                    </div>

                </div>


                <div style="width: 314px; height:400px; float:right; margin-bottom: 0px; padding-left: 73px;">

                    <div class="sidebar" style="height: 416px">
                        <a class="active">Última Consulta</a>
                        <a href="~/Nutri/EditarPaciente/@Model.Email/">Editar Paciente</a>
                        <button id="exclui" style="border: 0px"><a href="">Excluir Paciente</a></button>
                        <a href="~/Nutri/Consulta">Nova Consulta</a>
                        <a href="~/Nutri/TodasConsultas/@Model.Email/">Todas as Consultas</a>
                        <a href="~/Nutri/GerarDieta/@Model.Email/">Gerar Dieta</a>
                        <a href="~/Nutri/TodasDietas/@Model.Email/">Todas as Dietas</a>
                    </div>
                </div>



                <br /><br />



            </div>

        </div>
        <footer id="fh5co-footer" role="contentinfo" style="padding-bottom: 42px;">
            <div class="container">
                <div class="row copyright">
                    <div class="col-md-12 text-center">
                        <p>
                            <small class="block">&copy; 2018 HealthUp! Todos os direitos reservados.</small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <div class="gototop js-top">
            <a href="#" class="js-gotop"><center><img src="~/Imagens/setaCima.png" alt="" /></center></a>
        </div>

        <!-- jQuery -->
        <script src="~/Scripts/Nutrijquery.min.js"></script>
        <!-- jQuery Easing -->
        <script src="~/Scripts/Nutrijquery.easing.1.3.js"></script>
        <!-- Bootstrap -->
        <script src="~/Scripts/Nutribootstrap.min.js"></script>
        <!-- Waypoints -->
        <script src="~/Scripts/Nutri.js"></script>
        <!-- countTo -->
        <script src="~/Scripts/Nutrijquery.countTo.js"></script>
        <!-- Magnific Popup -->
        <script src="~/Scripts/Nutrijquery.magnific-popup.min.js"></script>
        <script src="~/Scripts/Nutrimagnific-popup-options.js"></script>
        <!-- Stellar -->
        <script src="~/Scripts/Nutrijquery.stellar.min.js"></script>
        <!-- Main -->
        <script src="~/Scripts/Nutrimain.js"></script>


        <script>
            // Pega o modal
            var modal = document.getElementById('modalExcluir');

            // Pegando os botões
            var btn = document.getElementById("exclui");
            var nao = document.getElementById("btnNao");

            // Pega o <span> que fecha o modal
            var span = document.getElementsByClassName("close")[0];

            // Quando o usuário clica no botão, ativa o modal
            btn.onclick = function () {
                modal.style.display = "block";
            }

            //Quando o usuário clica no x, fecha o modal
            span.onclick = function () {
                modal.style.display = "none";
            }

            // Quando o usuário clica no não, fecha o modal
            nao.onclick = function () {
                modal.style.display = "none";
            }

            // Quando o usuário clica em qualquer lugar fora do modal, o fecha
            window.onclick = function (event) {
                if (event.target == modal) {
                    modal.style.display = "none";
                }
            }

           
        </script>


</body>
</html>
